BANK KALTENG - Feature #646

[Employee Administration] Custom External ID
12/17/2021 03:02 PM - Mega Yunita

Status: Closed Start date: 12/17/2021
Priority: Immediate Due date: 01/24/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.50 hours
Description

Dear Developer,

Mohon bantuannya untuk membuatkan validasi terkait Custom External ID, dengan ketentuan :
1. Tahun lahir (4 digit)

2. Tahun masuk Bank Kalteng (3 digit)

3. Nomor urut pegawai (4 digit)

Contoh :

Tahun Lahir 1999

Tahun Masuk Bank Kalteng 2003

Nomor Uurt Pegawai 1234

Sehingga, External ID karyawan adalah 19990031234

Port : http://remote.minovais.com:31130/
DB : MinovaES_Bank_Kalteng
Semoga dapat dimengerti dan dipahami

Terimakasih

History

#1 - 12/17/2021 05:20 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from High to Urgent

#2 - 01/03/2022 05:20 PM - Kezia Pawitra Yulianti
- Due date changed from 12/24/2021 to 01/05/2022
- Assignee changed from Mr. Yusuf to M Azid Wahyudi

Azid,

minta tolong yaa untuk task ini

For info,

1. untuk field external ID ada di PHRPAO0O0O1.

2. Fungsi auto generate external ini dilakukan saat

proses hiring karyawan baru melalui menu Employee Movement (dgn movement type hiring/01) dan melalui menu Applicant Movement di modul
Recruitment (dgn action Transfer to employee).

3. Sebaiknya dibuatkan parameter untuk menyimpan sequence sebagai last id untuk no urut pegawai. Jika memang bisa disimpan di tabel orm object
mgkn lebih baik

Tks

#3 - 01/19/2022 11:23 AM - Mega Yunita

Untuk Table Custom External ID di dapat dari table CEXTERNALID
Ketentuan nomor urut pegawai di reset menjadi 0000 lagi jika berubah tahun.
#4 - 01/24/2022 11:59 AM - Mega Yunita

- Due date changed from 01/05/2022 to 01/24/2022

- Assignee changed from M Azid Wahyudi to Tri Rizgiaty

- Priority changed from Urgent to Immediate

07/03/2025 12



http://remote.minovais.com:31130/

#5 - 01/25/2022 03:17 PM - Tri Rizqiaty
- File MinovalS.Implementation.Data.Element.BKT.dll added
- File Parameter ExternalD MD Emp.xIsx added

- Status changed from Assigned to Developing

Fixing :

1. Create SP : CDSWIZEXTID

2. Add SDATATABLE, SDATATABLE : TableName = CDSWIZEXTID
3. Add SDATASOURCE : DataSourceName = CDSWIZEXTID

4. Update SDATATABLEFIELD - TableName = PHRPA0O0O1 - FieldName = BirthDate : Rubah Field SelectFunction, dengan file terlampir

5. Update API1 & API2 - bin : MinovalS.Implementation.Data.Element.BKT.dlI

#6 - 01/25/2022 03:21 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Mega Yunita
Tolong ditest di MD Emp & Wizard Emp dengan notes :
1. Pada saat Add : ExternallD tercreate ketika memilih BirthDate

2. Pada saat Copy : ExternallD otomatis terbentuk jika BirthDate sudah ada
3. Untuk Wizard Applicant belum didevelop, karena menu masih dihide

#7 - 02/16/2022 11:16 AM - fernando sergio rumbayan
- Status changed from QA Test to Closed

Files

MinovalS.Implementation.Data.Element.BKT.dlII 6 KB 01/25/2022 Tri Rizgiaty

Parameter ExternalD MD Emp.xIsx 12.1 KB 01/25/2022 Tri Rizgiaty
